# Doks

[![GitHub release](https://img.shields.io/github/release/h-enk/doks.svg?style=flat-square)](https://github.com/h-enk/doks/releases)

[![GitHub Workflow Status (branch)](https://img.shields.io/github/workflow/status/h-enk/doks/CI/master?style=flat-square)](https://github.com/h-enk/doks/actions?query=workflow%3A%22Node.js+CI%22)

[![Netlify](https://img.shields.io/netlify/895a161c-86be-48a2-8c57-a8c5d68cd1a4?style=flat-square)](https://doks.netlify.com/)

Doks is a Hugo theme helping you build modern documentation websites that are secure, fast, and SEO-ready — by default.

## Why Doks?

Six reasons why you should use Doks:

1. __Security aware__. Get A+ scores on [Mozilla Observatory](https://observatory.mozilla.org/analyze/doks.netlify.app) out of the box. Easily change the default Security Headers to suit your needs.

2. __Fast by default__. Get 100 scores on [Google Lighthouse](https://googlechrome.github.io/lighthouse/viewer/?gist=8b7aec005ae7b9e128ad5c4e2f125fea) by default. Doks removes unused css, prefetches links, and lazy loads images.

3. __SEO-ready__. Use sensible defaults for structured data, open graph, and Twitter cards. Or easily change the SEO settings to your liking.

4. __Development tools__. Code with confidence. Check styles, scripts, and markdown for errors and fix automatically or manually.

5. __Bootstrap framework__. Build robust, flexible, and intuitive websites with Bootstrap. Or use any other front-end framework if you prefer.

6. __Netlify-ready__. Deploy to Netlify with sensible defaults. Easily use Netlify Functions, Netlify Redirects, and Netlify Headers.

## Requirements

Make sure all dependencies have been installed:

- [Hugo](https://gohugo.io/) >= 0.75.0/extended
- [Node.js](https://nodejs.org/) >= 14.15.0 (needed to install npm packages and run commands)

## Get started

Create a new Doks project:

```bash
git clone https://github.com/h-enk/doks.git my-doks-site
```

Install npm packages:

```bash
# @ my-doks-site/
$ npm install
```

Start local development server:

```bash
# @ my-doks-site/
$ npm run start
```

### Other commands

- `npm run lint:styles` - Check Sass for errors
- `npm run lint:scripts` - Check JavaScript for errors
- `npm run clean` - Delete temporary directories
- `npm run build` - Build production website

## Quick start

Get your Doks site in 1 min.

[![Deploy to Netlify](https://www.netlify.com/img/deploy/button.svg)](https://app.netlify.com/start/deploy?repository=https://github.com/h-enk/doks)

## Example site

👉 [doks.netlify.app](https://doks.netlify.app/)

## Documentation

- [Netlify](https://docs.netlify.com/)
- [Hugo](https://gohugo.io/documentation/)
- [Doks](https://getdoks.org/)

## Communities

- [Netlify Community](https://community.netlify.com/)
- [Hugo Forums](https://discourse.gohugo.io/)
